Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface INamespace

All Known Implementing Classes:
  Namespace

public interface INamespace
extends INamespaceObject

Represents a WLAI namespace. This class contains any number of objects (e.g. ApplicationViewDescriptors) and other namespaces. A namespace must always be created within another namespace, eventually leading back to the root namespace (a singleton in any WLAI server). Because this interface extends INamespaceObject, all implementations of this interface must be Serializable.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare this object to the given object and determine if they are equal.
`boolean` | `isRoot()` Indicates whether this namespace is the root namespace.
`java.lang.String` | `toString()` Return a string representation of this namespace object that includes its name and any other relevant information.

Methods inherited from interface com.bea.wlai.common.INamespaceObject
`getDescription, getName, getParentNamespace, getQualifiedName, setDescription, setName, setParentNamespace`

Method Detail

### isRoot

    public boolean isRoot()

  Indicates whether this namespace is the root namespace.

  Returns:
    True if this namespace is the root namespace, false otherwise.

### toString

    public java.lang.String toString()

  Return a string representation of this namespace object that includes its name and any other relevant information.

  Returns:
    A string representing this namespace object.
  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Compare this object to the given object and determine if they are equal. For INamespaces, this means that both objects match in name, and parent namespace. be equal.
  Specified by:
    equals in interface INamespaceObject

  Returns:
    True if the name and namespace of the obj param equal this INamespace's name and namespace.
  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)